Index: trunk/cfg/MV-HEVC/fullCfg.cfg
===================================================================
--- trunk/cfg/MV-HEVC/fullCfg.cfg	(revision 1040)
+++ trunk/cfg/MV-HEVC/fullCfg.cfg	(revision 1066)
@@ -8,4 +8,13 @@
 InputFile_1                   : newspapercc_2.yuv                               
 InputFile_2                   : newspapercc_6.yuv                              
+InputFile_3                   :                               
+InputFile_4                   :                                
+InputFile_5                   :       
+InputFile_6                   :       
+InputFile_7                   :       
+InputFile_8                   :       
+InputFile_9                   :       
+InputFile_10                   :       
+InputFile_11                   :       
 
 BitstreamFile                 : stream.bit                         
@@ -14,4 +23,17 @@
 ReconFile_1                   : rec_2.yuv                         
 ReconFile_2                   : rec_6.yuv                           
+ReconFile_3                   :                           
+ReconFile_4                   :                          
+ReconFile_5                   :                            
+ReconFile_6                   :       
+ReconFile_7                   :       
+ReconFile_8                   :       
+ReconFile_9                   :       
+ReconFile_10                   :       
+ReconFile_11                   :       
+
+
+NumberOfLayers                : 3           # Number of layers
+TargetEncLayerIdList          :             # Layer Id in Nuh to be encoded, (empty:-> all layers will be encode) 
 
 FramesToBeEncoded             : 3           # Number of frames to be coded
@@ -19,13 +41,14 @@
 SourceWidth                   : 1024        # Input  frame width
 SourceHeight                  : 768         # Input  frame height
-NumberOfLayers                : 3
 
 #======== VPS ============================
-ScalabilityMask               : 2           # Scalability Mask             ( 2: View Scalability, shall be 2 for MV-HEVC )
+ScalabilityMask               : 2           # Scalability Mask             ( Scalability Mask: 2: Multiview, 8: Auxiliary, 10: Multiview + Auxiliary )
 DimensionIdLen                : 3           # Number of bits to store Ids,  per scalability dimension, (m)
-ViewOrderIndex                : 0 1 2       # View Order Index (m)
-LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling ) (m)
+ViewOrderIndex                : 0 1 2       # ViewOrderIndex, per layer (m)
+AuxId                         :             # Auxiliary Id, per layer (m)
+LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling, otherwise per layer ) (m)
 SplittingFlag                 : 0           # Splitting Flag 
-ViewId                        : 1 0 2       # ViewId per ViewOrderIndex (m)
+ViewId                        : 1 0 2       # ViewId, per ViewOrderIndex (m)
+OutputVpsInfo                 : 0           # Output VPS information
 
 #======== VPS/ Layer sets ================
@@ -35,4 +58,22 @@
 LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
 LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
+LayerIdsInSet_4               : 
+LayerIdsInSet_5               : 
+LayerIdsInSet_6               : 
+LayerIdsInSet_7               : 
+LayerIdsInSet_8               : 
+LayerIdsInSet_9               : 
+LayerIdsInSet_10              : 
+
+NumAddLayerSets               : 0            # Specifies the number of additional layer sets
+HighestLayerIdxPlus1_0        : -1           # Highest layer idx plus 1 for the 0-th additional layer set, per independent layer (m) (first value will be ignored)
+HighestLayerIdxPlus1_1        : -1           # Highest layer idx plus 1 for the 1-th additional layer set, per independent layer (m) (first value will be ignored)
+HighestLayerIdxPlus1_2        : -1           # Highest layer idx plus 1 for the 2-th additional layer set, per independent layer (m) (first value will be ignored)
+HighestLayerIdxPlus1_3        : -1           # Highest layer idx plus 1 for the 4-th additional layer set, per independent layer (m) (first value will be ignored)
+HighestLayerIdxPlus1_4        : -1           # Highest layer idx plus 1 for the 5-th additional layer set, per independent layer (m) (first value will be ignored)
+HighestLayerIdxPlus1_5        : -1           # Highest layer idx plus 1 for the 6-th additional layer set, per independent layer (m) (first value will be ignored)
+HighestLayerIdxPlus1_6        : -1           # Highest layer idx plus 1 for the 7-th additional layer set, per independent layer (m) (first value will be ignored)
+
+#======== VPS / Output layer sets ================
 
 DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
@@ -41,4 +82,10 @@
 LayerIdsInDefOutputLayerSet_2 :              # Indices in VPS of output layers in layer set 2 (when DefaultTargetOutputLayerIdc is equal to 2)
 LayerIdsInDefOutputLayerSet_3 :              # Indices in VPS of output layers in layer set 3 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_4 :              # Indices in VPS of output layers in layer set 4 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_5 :              # Indices in VPS of output layers in layer set 5 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_6 :              # Indices in VPS of output layers in layer set 6 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_7 :              # Indices in VPS of output layers in layer set 7 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_8 :              # Indices in VPS of output layers in layer set 8 (when DefaultTargetOutputLayerIdc is equal to 2)
+LayerIdsInDefOutputLayerSet_9 :              # Indices in VPS of output layers in layer set 9 (when DefaultTargetOutputLayerIdc is equal to 2)
 
 
@@ -46,7 +93,51 @@
 LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
 LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
-
-
-ProfileLevelTierIdx           : 0 0 0 0      # Indices to profile level tier (TBD)
+LayerIdsInAddOutputLayerSet_2 :              # Indices in VPS of output layers in additional output layer set 2
+LayerIdsInAddOutputLayerSet_3 :              # Indices in VPS of output layers in additional output layer set 3
+LayerIdsInAddOutputLayerSet_4 :              # Indices in VPS of output layers in additional output layer set 4
+LayerIdsInAddOutputLayerSet_5 :              # Indices in VPS of output layers in additional output layer set 5
+LayerIdsInAddOutputLayerSet_6 :              # Indices in VPS of output layers in additional output layer set 6
+LayerIdsInAddOutputLayerSet_7 :              # Indices in VPS of output layers in additional output layer set 7
+LayerIdsInAddOutputLayerSet_8 :              # Indices in VPS of output layers in additional output layer set 8
+LayerIdsInAddOutputLayerSet_9 :              # Indices in VPS of output layers in additional output layer set 9
+LayerIdsInAddOutputLayerSet_10:              # Indices in VPS of output layers in additional output layer set 10
+
+#======== VPS / PTLI ================
+
+Profile                       : main main multiview-main   # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Level                         : none none none             # Level   indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Tier                          : main main main             # Tier    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+InblFlag                      : 0    0    0                # Inbl    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+
+ProfileTierLevelIdx_0         : 1                          # VpsProfileTierLevel indices of layers in output layer set 0 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_1         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 1 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_2         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 2 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_3         : 1 2 2                      # VpsProfileTierLevel indices of layers in output layer set 3 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_4         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 4 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_5         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 5 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_6         :                            # VpsProfileTierLevel indices of layers in output layer set 6 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_7         :                            # VpsProfileTierLevel indices of layers in output layer set 7 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_8         :                            # VpsProfileTierLevel indices of layers in output layer set 8 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_9         :                            # VpsProfileTierLevel indices of layers in output layer set 9 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_10        :                           # VpsProfileTierLevel indices of layers in output layer set 10 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_11        :                           # VpsProfileTierLevel indices of layers in output layer set 11 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_12        :                           # VpsProfileTierLevel indices of layers in output layer set 12 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_13        :                           # VpsProfileTierLevel indices of layers in output layer set 13 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_14        :                           # VpsProfileTierLevel indices of layers in output layer set 14 (m) (should be -1, when layer is not necessary)
+
+#======== VPS / Dependencies ================
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_3             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_4             :             # Indices in VPS of direct reference layers 
+DirectRefLayers_5             :             # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_3             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_4             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_5             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+
+
 #======== Unit definition ================
 MaxCUWidth                    : 64          # Maximum coding unit width in pixel
@@ -67,32 +158,64 @@
 #                           QPfactor      betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
 #         Type  POC QPoffset     tcOffsetDiv2      temporal_id      #ref_pics                 predict     #ref_idcs        #ActiveRefLayerPics     refLayerPicPosIl_L0     
-Frame1:     B    8     1        0.442    0            0              0           4                4         -8 -10 -12 -16     0                                          0
-Frame2:     B    4     2        0.3536   0            0              0           2                3         -4 -6  4           1       4        5         1 1 0 0 1       0
-Frame3:     B    2     3        0.3536   0            0              0           2                4         -2 -4  2 6         1       2        4         1 1 1 1         0
-Frame4:     B    1     4        0.68     0            0              0           2                4         -1  1  3 7         1       1        5         1 0 1 1 1       0
-Frame5:     B    3     4        0.68     0            0              0           2                4         -1 -3  1 5         1      -2        5         1 1 1 1 0       0
-Frame6:     B    6     3        0.3536   0            0              0           2                4         -2 -4 -6 2         1      -3        5         1 1 1 1 0       0
-Frame7:     B    5     4        0.68     0            0              0           2                4         -1 -5  1 3         1       1        5         1 0 1 1 1       0
-Frame8:     B    7     4        0.68     0            0              0           2                4         -1 -3 -7 1         1      -2        5         1 1 1 1 0       0
+
+Frame1:     B    8     1     0.442    0        0        0        4      4     -8 -10 -12 -16     0      0
+Frame2:     B    4     2     0.3536   0        0        0        2      3     -4 -6  4           1      4    5     1 1 0 0 1         0
+Frame3:     B    2     3     0.3536   0        0        0        2      4     -2 -4  2 6         1      2    4     1 1 1 1           0
+Frame4:     B    1     4     0.68     0        0        0        2      4     -1  1  3 7         1      1    5     1 0 1 1 1         0
+Frame5:     B    3     4     0.68     0        0        0        2      4     -1 -3  1 5         1     -2    5     1 1 1 1 0         0
+Frame6:     B    6     3     0.3536   0        0        0        2      4     -2 -4 -6 2         1     -3    5     1 1 1 1 0         0
+Frame7:     B    5     4     0.68     0        0        0        2      4     -1 -5  1 3         1      1    5     1 0 1 1 1         0
+Frame8:     B    7     4     0.68     0        0        0        2      4     -1 -3 -7 1         1     -2    5     1 1 1 1 0         0
     
-FrameI_l1:  P    0     3        0.442    0            0              0           1                0                            0                                          1             -1                 0                  -1
-Frame1_l1:  B    8     4        0.442    0            0              0           4                4         -8 -10 -12 -16     0                                          1             -1                 1                  -1
-Frame2_l1:  B    4     5        0.3536   0            0              0           3                3         -4 -6  4           1       4        5         1 1 0 0 1       1             -1                 1                  -1
-Frame3_l1:  B    2     6        0.3536   0            0              0           3                4         -2 -4  2 6         1       2        4         1 1 1 1         1             -1                 1                  -1
-Frame4_l1:  B    1     7        0.68     0            0              0           3                4         -1  1  3 7         1       1        5         1 0 1 1 1       1             -1                 1                  -1
-Frame5_l1:  B    3     7        0.68     0            0              0           3                4         -1 -3  1 5         1      -2        5         1 1 1 1 0       1             -1                 2                  -1
-Frame6_l1:  B    6     6        0.3536   0            0              0           3                4         -2 -4 -6 2         1      -3        5         1 1 1 1 0       1             -1                 2                  -1
-Frame7_l1:  B    5     7        0.68     0            0              0           3                4         -1 -5  1 3         1       1        5         1 0 1 1 1       1             -1                 2                  -1
-Frame8_l1:  B    7     7        0.68     0            0              0           3                4         -1 -3 -7 1         1      -2        5         1 1 1 1 0       1             -1                 2                  -1
-
-FrameI_l2:  P    0     3        0.442    0            0              0           1                0                            0                                          1             -2                 0                  -1
-Frame1_l2:  B    8     4        0.442    0            0              0           4                4         -8 -10 -12 -16     0                                          1             -2                 1                  -1
-Frame2_l2:  B    4     5        0.3536   0            0              0           3                3         -4 -6  4           1       4        5         1 1 0 0 1       1             -2                 1                  -1
-Frame3_l2:  B    2     6        0.3536   0            0              0           3                4         -2 -4  2 6         1       2        4         1 1 1 1         1             -2                 1                  -1
-Frame4_l2:  B    1     7        0.68     0            0              0           3                4         -1  1  3 7         1       1        5         1 0 1 1 1       1             -2                 1                  -1
-Frame5_l2:  B    3     7        0.68     0            0              0           3                4         -1 -3  1 5         1      -2        5         1 1 1 1 0       1             -2                 2                  -1
-Frame6_l2:  B    6     6        0.3536   0            0              0           3                4         -2 -4 -6 2         1      -3        5         1 1 1 1 0       1             -2                 2                  -1
-Frame7_l2:  B    5     7        0.68     0            0              0           3                4         -1 -5  1 3         1       1        5         1 0 1 1 1       1             -2                 2                  -1
-Frame8_l2:  B    7     7        0.68     0            0              0           3                4         -1 -3 -7 1         1      -2        5         1 1 1 1 0       1             -2                 2                  -1
+FrameI_l1:  P    0     3     0.442    0        0        0        1      0                        0                                   1          0         0          -1        
+Frame1_l1:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                   1          0         1          -1        
+Frame2_l1:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1         1          0         1          -1        
+Frame3_l1:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1           1          0         1          -1        
+Frame4_l1:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1         1          0         1          -1        
+Frame5_l1:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0         1          0         2          -1        
+Frame6_l1:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0         1          0         2          -1        
+Frame7_l1:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1         1          0         2          -1        
+Frame8_l1:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0         1          0         2          -1        
+
+FrameI_l2:  P    0     3     0.442    0        0        0        1      0                        0                                   1          0         0          -1        
+Frame1_l2:  B    8     4     0.442    0        0        0        4      4     -8 -10 -12 -16     0                                   1          0         1          -1        
+Frame2_l2:  B    4     5     0.3536   0        0        0        3      3     -4 -6  4           1     4     5     1 1 0 0 1         1          0         1          -1        
+Frame3_l2:  B    2     6     0.3536   0        0        0        3      4     -2 -4  2 6         1     2     4     1 1 1 1           1          0         1          -1        
+Frame4_l2:  B    1     7     0.68     0        0        0        3      4     -1  1  3 7         1     1     5     1 0 1 1 1         1          0         1          -1        
+Frame5_l2:  B    3     7     0.68     0        0        0        3      4     -1 -3  1 5         1    -2     5     1 1 1 1 0         1          0         2          -1        
+Frame6_l2:  B    6     6     0.3536   0        0        0        3      4     -2 -4 -6 2         1    -3     5     1 1 1 1 0         1          0         2          -1        
+Frame7_l2:  B    5     7     0.68     0        0        0        3      4     -1 -5  1 3         1     1     5     1 0 1 1 1         1          0         2          -1        
+Frame8_l2:  B    7     7     0.68     0        0        0        3      4     -1 -3 -7 1         1    -2     5     1 1 1 1 0         1          0         2          -1        
+
+FrameI_l3:
+Frame1_l3:
+Frame2_l3:
+Frame3_l3:
+Frame4_l3:
+Frame5_l3:
+Frame6_l3:
+Frame7_l3:
+Frame8_l3:
+    
+FrameI_l4:
+Frame1_l4:
+Frame2_l4:
+Frame3_l4:
+Frame4_l4:
+Frame5_l4:
+Frame6_l4:
+Frame7_l4:
+Frame8_l4:
+
+FrameI_l5:
+Frame1_l5:
+Frame2_l5:
+Frame3_l5:
+Frame4_l5:
+Frame5_l5:
+Frame6_l5:
+Frame7_l5:
+Frame8_l5:
+
 
 #=========== Motion Search =============
